summaryrefslogtreecommitdiff
path: root/tests/ln/target-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-10-10 08:31:29 +0000
committerJim Meyering <jim@meyering.net>2002-10-10 08:31:29 +0000
commitb468370388fd16e71d50668e6d42d04938288543 (patch)
treef0dcb3d29a3beefb21f2dc37b1829758edea9eda /tests/ln/target-1
parent042b41c2b9ed5c33ad68090783916dfad797042e (diff)
downloadcoreutils-b468370388fd16e71d50668e6d42d04938288543.tar.xz
New file/test, for the fix on 2002-10-08.
Diffstat (limited to 'tests/ln/target-1')
-rwxr-xr-xtests/ln/target-129
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/ln/target-1 b/tests/ln/target-1
new file mode 100755
index 000000000..09295bc4b
--- /dev/null
+++ b/tests/ln/target-1
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Before coreutils-4.5.3, --target-dir didn't work with one file.
+# Based on a test case from Dmitry V. Levin.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ln --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir d || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+ln -s --target-dir=d ../f || fail=1
+
+(exit $fail); exit $fail